SessionControllerSetCustomAttributes Method

POST /Session/CustomAttributes/{id} Sets the custom attributes for the specified session ID.

Namespace:  Dundas.BI.WebApi.Controllers
Assembly:  Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (8.0.2.1001)
Syntax
[HttpPostAttribute]
[ActionNameAttribute("CustomAttributes")]
public HttpResponseMessage SetCustomAttributes(
	Guid id,
	[FromBodyAttribute] IList<CustomAttributeData> customAttributes,
	Nullable<Guid> sessionId = null
)

Parameters

id
Type: SystemGuid
The ID of the session on which the custom attributes will be set.
customAttributes
Type: System.Collections.GenericIListCustomAttributeData
An array that carries the custom attributes to be set.
sessionId (Optional)
Type: SystemNullableGuid
ID of the current session (session must be of a user with high enough permissions to set attributes).

Return Value

Type: HttpResponseMessage
A status code indicating success or the reason for failure.
See Also